Ubuntu Security Notice USN-4488-1 ≈ Packet Storm – Digitalmunition




Exploit/Advisories no-image-featured-image.png

Published on September 2nd, 2020 📆 | 7788 Views ⚑

0

Ubuntu Security Notice USN-4488-1 ≈ Packet Storm

==========================================================================
Ubuntu Security Notice USN-4488-1
September 02, 2020

xorg-server, xorg-server-hwe-16.04, xorg-server-hwe-18.04 vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

– Ubuntu 20.04 LTS
– Ubuntu 18.04 LTS
– Ubuntu 16.04 LTS

Summary:

Several security issues were fixed in X.Org X Server.

Software Description:
– xorg-server: X.Org X11 server
– xorg-server-hwe-18.04: X.Org X11 server
– xorg-server-hwe-16.04: X.Org X11 server

Details:

Jan-Niklas Sohn discovered that the X.Org X Server incorrectly handled the
input extension protocol. A local attacker could possibly use this issue to
escalate privileges. (CVE-2020-14346)

Jan-Niklas Sohn discovered that the X.Org X Server incorrectly initialized
memory. A local attacker could possibly use this issue to obtain sensitive
information. (CVE-2020-14347)

Jan-Niklas Sohn discovered that the X.Org X Server incorrectly handled the
XkbSelectEvents function. A local attacker could possibly use this issue to
escalate privileges. (CVE-2020-14361)

Jan-Niklas Sohn discovered that the X.Org X Server incorrectly handled the
XRecordRegisterClients function. A local attacker could possibly use this
issue to escalate privileges. (CVE-2020-14362)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 20.04 LTS:
xserver-xorg-core 2:1.20.8-2ubuntu2.3

Ubuntu 18.04 LTS:
xserver-xorg-core 2:1.19.6-1ubuntu4.5
xserver-xorg-core-hwe-18.04 2:1.20.8-2ubuntu2.2~18.04.2

Ubuntu 16.04 LTS:
xserver-xorg-core 2:1.18.4-0ubuntu0.9
xserver-xorg-core-hwe-16.04 2:1.19.6-1ubuntu4.1~16.04.3

After a standard system update you need to reboot your computer to make all
the necessary changes.

References:
https://usn.ubuntu.com/4488-1
CVE-2020-14346, CVE-2020-14347, CVE-2020-14361, CVE-2020-14362

Package Information:
https://launchpad.net/ubuntu/+source/xorg-server/2:1.20.8-2ubuntu2.3
https://launchpad.net/ubuntu/+source/xorg-server/2:1.19.6-1ubuntu4.5

https://launchpad.net/ubuntu/+source/xorg-server-hwe-18.04/2:1.20.8-2ubuntu2.2~18.04.2
https://launchpad.net/ubuntu/+source/xorg-server/2:1.18.4-0ubuntu0.9

https://launchpad.net/ubuntu/+source/xorg-server-hwe-16.04/2:1.19.6-1ubuntu4.1~16.04.3

Source link

Tagged with:



Leave a Reply

Your email address will not be published. Required fields are marked *


loading...